Debian Bug report logs - #701458
packages including glibconfig.h and building with GCC 4.8 -Werror ftbfs

version graph

Package: src:glib2.0; Maintainer for src:glib2.0 is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>;

Reported by: Matthias Klose <doko@debian.org>

Date: Sat, 23 Feb 2013 11:51:01 UTC

Severity: important

Tags: fixed-upstream, jessie, sid

Found in version glib2.0/2.33.12+really2.32.4-5

Fixed in version 2.35.8-1

Done: Simon McVittie <smcv@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#701458; Package src:glib2.0. (Sat, 23 Feb 2013 11:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
New Bug report received and forwarded. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sat, 23 Feb 2013 11:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: packages including glibconfig.h and building with GCC 4.8 -Werror ftbfs
Date: Sat, 23 Feb 2013 12:46:35 +0100
Package: src:glib2.0
Version: 2.33.12+really2.32.4-5
Severity: important
Tags: sid jessie
User: debian-gcc@lists.debian.org
Usertags: ftbfs-gcc-4.8

packages including glibconfig.h and building with GCC 4.8 from experimental fail
to build from source.

In file included from /usr/lib/x86_64-linux-gnu/glib-2.0/include/glibconfig.h:9:0,
                 from /usr/include/glib-2.0/glib/gtypes.h:34,
                 from /usr/include/glib-2.0/glib/galloca.h:34,
                 from /usr/include/glib-2.0/glib.h:32,
                 from /usr/include/glib-2.0/gobject/gbinding.h:30,
                 from /usr/include/glib-2.0/glib-object.h:25,
                 from byzanzencoder.h:20,
                 from byzanzencoder.c:24:
byzanzencoder.c: In function 'byzanz_encoder_get_type':
/usr/include/glib-2.0/glib/gmacros.h:162:53: error: typedef
'_GStaticAssertCompileTimeAssertion_0' locally defined but not used
[-Werror=unused-local-typedefs]
 #define G_STATIC_ASSERT(expr) typedef char G_PASTE
(_GStaticAssertCompileTimeAssertion_, __COUNTER__)[(expr) ? 1 : -1]

The packages which ftbfs are:

byzanz 0.3.0+git20120930-1
clutter-gesture 0.0.2.1-7
darktable 1.1.3-1
drivel 3.0.3-1
gcompris 12.01-1
geoclue 0.12.0-4
gitg 0.2.4-1.1
gnurobots 2:1.2.0-4
gtkimageview 1.6.4+dfsg-0.1
ido 0.3.4-1
indicator-application 0.5.0-1
indicator-messages 0.6.0-1
indicator-session 0.3.96-1
libappindicator 0.4.92-2
libdbusmenu 0.6.2-1
libindicate 0.6.92-1
libindicator 0.5.0-1
link-monitor-applet 3.0-8
mail-notification 5.4.dfsg.1-6
modemmanager 0.5.2.0-2
mssh 1.2-2
muffin 1.1.2-1
mydumper 0.5.1-3
network-manager-iodine 0.0.4-1
network-manager-openconnect 0.9.4.0-8
network-manager-openvpn 0.9.4.0-1
network-manager-pptp 0.9.4.0-2
network-manager-strongswan 1.3.0-1
network-manager-vpnc 0.9.4.0-1

build logs at http://people.debian.org/~doko/logs-20130217/gcc48/

would it possible to provide a build of the package with the installed header
fixed for a follow-up test rebuild?



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#701458; Package src:glib2.0. (Sun, 24 Feb 2013 12:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sun, 24 Feb 2013 12:06:06 GMT) Full text and rfc822 format available.

Message #10 received at 701458@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: Matthias Klose <doko@debian.org>, 701458@bugs.debian.org
Subject: Re: Bug#701458: packages including glibconfig.h and building with GCC 4.8 -Werror ftbfs
Date: Sun, 24 Feb 2013 12:02:37 +0000
tags 701458 + fixed-upstream
thanks

On Sat, 23 Feb 2013 at 12:46:35 +0100, Matthias Klose wrote:
> /usr/include/glib-2.0/glib/gmacros.h:162:53: error: typedef
> '_GStaticAssertCompileTimeAssertion_0' locally defined but not used
> [-Werror=unused-local-typedefs]

This is fixed upstream, commit 0ea7abaed5. It'd probably be backportable.

    S



Added tag(s) fixed-upstream. Request was from Simon McVittie <smcv@debian.org> to control@bugs.debian.org. (Sun, 24 Feb 2013 12:06:07 GMT) Full text and rfc822 format available.

Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:41:29 GMT) Full text and rfc822 format available.

Reply sent to Simon McVittie <smcv@debian.org>:
You have taken responsibility. (Tue, 07 May 2013 14:12:06 GMT) Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@debian.org>:
Bug acknowledged by developer. (Tue, 07 May 2013 14:12:06 GMT) Full text and rfc822 format available.

Message #19 received at 701458-done@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: Matthias Klose <doko@debian.org>, 701458-done@bugs.debian.org
Subject: Re: Bug#701458: packages including glibconfig.h and building with GCC 4.8 -Werror ftbfs
Date: Tue, 7 May 2013 15:09:39 +0100
Version: 2.35.8-1

On Sat, 23 Feb 2013 at 12:46:35 +0100, Matthias Klose wrote:
> packages including glibconfig.h and building with GCC 4.8 from experimental fail
> to build from source.

This should be OK in experimental's current GLib.

    S



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 21 Jun 2013 07:35:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:52:35 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.